VULKAN_HPP_NAMESPACE::DispatchIndirectCommand Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DispatchIndirectCommand (uint32_t x_=0, uint32_t y_=0, uint32_t z_=0)
| DispatchIndirectCommand (VkDispatchIndirectCommand const &rhs)
DispatchIndirectCommand & | operator= (VkDispatchIndirectCommand const &rhs)
DispatchIndirectCommand & | setX (uint32_t x_)
DispatchIndirectCommand & | setY (uint32_t y_)
DispatchIndirectCommand & | setZ (uint32_t z_)
| operator VkDispatchIndirectCommand const & () const
| operator VkDispatchIndirectCommand & ()
bool | operator== (DispatchIndirectCommand const &rhs) const
bool | operator!= (DispatchIndirectCommand const &rhs) const

## Data Fields

uint32_t | x
uint32_t | y
uint32_t | z

## Detailed Description

Definition at line 7009 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DispatchIndirectCommand() [1/2]

VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::DispatchIndirectCommand | ( | uint32_t | x_ = `0`,
|  | uint32_t | y_ = `0`,
|  | uint32_t | z_ = `0`
| ) |  |

inline

Definition at line 7011 of file vulkan.hpp.

: x( x_ )
, y( y_ )
, z( z_ )
{
}

## DispatchIndirectCommand() [2/2]

VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::DispatchIndirectCommand | ( | VkDispatchIndirectCommand const & | rhs | ) |

inline

Definition at line 7020 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DispatchIndirectCommand ) );
}

References memcpy.

## Member Function Documentation

## operator VkDispatchIndirectCommand &()

VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::operator VkDispatchIndirectCommand & | ( |  | ) |

inline

Definition at line 7053 of file vulkan.hpp.

{
return *reinterpret_cast<VkDispatchIndirectCommand*>(this);
}

## operator VkDispatchIndirectCommand const &()

VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::operator VkDispatchIndirectCommand const & | ( |  | ) | const

inline

Definition at line 7048 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDispatchIndirectCommand*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::operator!= | ( | DispatchIndirectCommand const & | rhs | ) | const

inline

Definition at line 7065 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DispatchIndirectCommand& VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::operator= | ( | VkDispatchIndirectCommand const & | rhs | ) |

inline

Definition at line 7025 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DispatchIndirectCommand ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::operator== | ( | DispatchIndirectCommand const & | rhs | ) | const

inline

Definition at line 7058 of file vulkan.hpp.

{
return ( x == rhs.x )
&& ( y == rhs.y )
&& ( z == rhs.z );
}

References x, y, and z.

Referenced by operator!=().

## setX()

DispatchIndirectCommand& VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::setX | ( | uint32_t | x_ | ) |

inline

Definition at line 7030 of file vulkan.hpp.

{
x = x_;
return *this;
}

## setY()

DispatchIndirectCommand& VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::setY | ( | uint32_t | y_ | ) |

inline

Definition at line 7036 of file vulkan.hpp.

{
y = y_;
return *this;
}

## setZ()

DispatchIndirectCommand& VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::setZ | ( | uint32_t | z_ | ) |

inline

Definition at line 7042 of file vulkan.hpp.

{
z = z_;
return *this;
}

## Field Documentation

## x

uint32_t VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::x

Definition at line 7070 of file vulkan.hpp.

Referenced by operator==().

## y

uint32_t VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::y

Definition at line 7071 of file vulkan.hpp.

Referenced by operator==().

## z

uint32_t VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::z

Definition at line 7072 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::y
uint32_t y
Definition: vulkan.hpp:7071
z
GLdouble GLdouble z
Definition: SDL_opengl_glext.h:404
VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::x
uint32_t x
Definition: vulkan.hpp:7070
memcpy
#define memcpy
Definition: SDL_malloc.c:630
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::operator==
bool operator==(DispatchIndirectCommand const &rhs) const
Definition: vulkan.hpp:7058
VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::z
uint32_t z
Definition: vulkan.hpp:7072
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
VkDispatchIndirectCommand
Definition: vulkan_core.h:2818
VULKAN_HPP_NAMESPACE::DispatchIndirectCommand::DispatchIndirectCommand
DispatchIndirectCommand(uint32_t x_=0, uint32_t y_=0, uint32_t z_=0)
Definition: vulkan.hpp:7011